import java.util.*;
import java.io.*;

public class aplusb_gk {
    static Scanner in;
    static PrintWriter out;

    public void run() {
        char[] a = in.next().toCharArray();
        char[] b = in.next().toCharArray();
        char[] c = new char[a.length];
        
        int p = 0;
        for (int i = a.length - 1; i >= 0; i--) {
            p = p / 26 + (a[i] - 'a') + (b[i] - 'a');
            c[i] = (char) ('a' + p % 26);
        }

        out.format("%s\n", new String(c));
    }

    public static void main(String[] args) throws Exception {        
        in = new Scanner(System.in);
        out = new PrintWriter(System.out);

        new aplusb_gk().run();

        in.close();
        out.close();
    }
}
